﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
//Add code

using System.IO;
using System.IO.Ports;
namespace Basic_Terminal
{
    
    public partial class Main_Form : Form
    {
        
        public delegate void Serial_EventFunction(object sender, SerialDataReceivedEventArgs e);
        public Main_Form()
        {
            Serial serial = new Serial();

            InitializeComponent();
            serial.Serial_Initialize(ref comboBox_Port);
        }

        private void Firmware_Update_Click(object sender, EventArgs e)
        {
            File_Open file = new File_Open();
            if (Ascii_checkBox.Checked == true)
                Ascii_checkBox.Checked = false;
            file.ShowFileOpenDialog();
        }
        private void Crc16_Check_Click(object sender, EventArgs e)
        {
            Crc16 crc16 = new Crc16();
            byte[] tempdata = { 0x00, 0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08, 0x09,0x0A };
            label1.Text = crc16.CRC16_Generate(tempdata, 11).ToString();
        }

    }
}
